Chuyển đến nội dung chính
GET
/
base
/
{baseId}
/
erd
cURL
curl --request GET \
  --url https://sheets.vn/api/base/%7BbaseId%7D/erd \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "baseId": "<string>",
  "nodes": [
    {
      "id": "<string>",
      "name": "<string>",
      "fields": [
        {
          "id": "<string>",
          "name": "Tags",
          "type": "singleSelect",
          "isLookup": true,
          "isConditionalLookup": true,
          "isPrimary": true
        }
      ],
      "icon": "<string>",
      "crossBaseId": "<string>",
      "crossBaseName": "<string>"
    }
  ],
  "edges": [
    {
      "source": {
        "tableId": "<string>",
        "tableName": "<string>",
        "fieldId": "<string>",
        "fieldName": "<string>"
      },
      "target": {
        "tableId": "<string>",
        "tableName": "<string>",
        "fieldId": "<string>",
        "fieldName": "<string>"
      },
      "isOneWay": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.sheets.vn/docs/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số đường dẫn

baseId
string
bắt buộc

Phản hồi

200 - application/json

Returns the erd of a base.

baseId
string
bắt buộc
nodes
object[]
bắt buộc
edges
object[]
bắt buộc